import request from '@/utils/request'

// 查询物料出库明细列表
export function listMaterialPickingInfo(query) {
  return request({
    url: '/business/materialPickingInfo/list',
    method: 'get',
    params: query
  })
}

// 查询物料出库明细详细
export function getMaterialPickingInfo(id) {
  return request({
    url: '/business/materialPickingInfo/' + id,
    method: 'get'
  })
}

// 新增物料出库明细
export function addMaterialPickingInfo(data) {
  return request({
    url: '/business/materialPickingInfo',
    method: 'post',
    data: data
  })
}

// 修改物料出库明细
export function updateMaterialPickingInfo(data) {
  return request({
    url: '/business/materialPickingInfo',
    method: 'put',
    data: data
  })
}

// 删除物料出库明细
export function delMaterialPickingInfo(id) {
  return request({
    url: '/business/materialPickingInfo/' + id,
    method: 'delete'
  })
}
